#ifndef DIALOG_H
#define DIALOG_H

#include <QDialog>

#include "etherradio.h"

namespace Ui {
    class Dialog;
}

class Dialog : public QDialog
{
    Q_OBJECT

public:
    explicit Dialog(QWidget *parent = 0);
    ~Dialog();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::Dialog *ui;
	EtherRadio radio;
	QString am_freq;
	QString fm_freq;

private slots:
 void on_lineEdit_freq_textChanged(QString );
 void on_radioButton_fm_clicked();
 void on_radioButton_am_clicked();
 void on_pauseButton_clicked();
 void on_receiveButton_clicked();
};

#endif // DIALOG_H
